JBoss API: Class WebService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Class WebService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.web.WebService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean, WebServiceMBean

public class WebService
extends ServiceMBeanSupport
implements WebServiceMBean

The WebService implementation. It configures a WebServer instance to perform dynamic class and resource loading.

Version:
  $Revision: 1.4.4.3 $
Author:
  Rickard Öberg., Scott Stark.

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.web.WebServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`WebService()`

Method Summary
`java.net.URL` | `addClassLoader(java.lang.ClassLoader cl)`
`int` | `getBacklog()` Get the WebService listen queue backlog limit.
`java.lang.String` | `getBindAddress()` Get the specific address the WebService listens on.t
`boolean` | `getDownloadServerClasses()` A flag indicating if the server should attempt to download classes from thread context class loader when a request arrives that does not have a class loader key prefix.
`java.lang.String` | `getHost()` Get the name of the public interface to use for the host portion of the RMI codebase URL.
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`int` | `getPort()` Get the WebService listening port.
`void` | `removeClassLoader(java.lang.ClassLoader cl)`
`void` | `setBacklog(int backlog)` Set the WebService listen queue backlog limit.
`void` | `setBindAddress(java.lang.String host)` Set the specific address the WebService listens on.
`void` | `setDownloadServerClasses(boolean flag)`
`void` | `setHost(java.lang.String host)` Set the name of the public interface to use for the host portion of the RMI codebase URL.
`void` | `setPort(int port)` Set the WebService listening port.
`void` | `startService()` Start the web server for dynamic downloading of classes and resources.
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### WebService

    public WebService()

Method Detail

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Start the web server for dynamic downloading of classes and resources. The system java.rmi.server.codebase is also set to "http://"+getHost()":"+getPort()+"/" if the property has not been set.
  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### addClassLoader

    public java.net.URL addClassLoader(java.lang.ClassLoader cl)

  Specified by:
    `addClassLoader` in interface `WebServiceMBean`

### removeClassLoader

    public void removeClassLoader(java.lang.ClassLoader cl)

  Specified by:
    `removeClassLoader` in interface `WebServiceMBean`

### setPort

    public void setPort(int port)

  Description copied from interface: `WebServiceMBean`
  Set the WebService listening port.
  Specified by:
    `setPort` in interface `WebServiceMBean`
  Following copied from interface: `org.jboss.web.WebServiceMBean`
  Parameters:
    `part,` - the listening port, 0 == Anonymous.

### getPort

    public int getPort()

  Description copied from interface: `WebServiceMBean`
  Get the WebService listening port.
  Specified by:
    `getPort` in interface `WebServiceMBean`
  Following copied from interface: `org.jboss.web.WebServiceMBean`
  Returns:
    the WebService listening port, 0 == Anonymous.

### setHost

    public void setHost(java.lang.String host)

  Description copied from interface: `WebServiceMBean`
  Set the name of the public interface to use for the host portion of the RMI codebase URL.
  Specified by:
    `setHost` in interface `WebServiceMBean`

### getHost

    public java.lang.String getHost()

  Description copied from interface: `WebServiceMBean`
  Get the name of the public interface to use for the host portion of the RMI codebase URL.
  Specified by:
    `getHost` in interface `WebServiceMBean`

### getBindAddress

    public java.lang.String getBindAddress()

  Get the specific address the WebService listens on.t
  Specified by:
    `getBindAddress` in interface `WebServiceMBean`
  Returns:
    the interface name or IP address the WebService binds to.

### setBindAddress

    public void setBindAddress(java.lang.String host)
                        throws java.net.UnknownHostException

  Set the specific address the WebService listens on. This can be used on a multi-homed host for a ServerSocket that will only accept connect requests to one of its addresses.
  Specified by:
    `setBindAddress` in interface `WebServiceMBean`
  Parameters:
    `host,` - the interface name or IP address to bind. If host is null, connections on any/all local addresses will be allowed.

### getBacklog

    public int getBacklog()

  Get the WebService listen queue backlog limit. The maximum queue length for incoming connection indications (a request to connect) is set to the backlog parameter. If a connection indication arrives when the queue is full, the connection is refused.
  Specified by:
    `getBacklog` in interface `WebServiceMBean`
  Returns:
    the queue backlog limit.

### setBacklog

    public void setBacklog(int backlog)

  Set the WebService listen queue backlog limit. The maximum queue length for incoming connection indications (a request to connect) is set to the backlog parameter. If a connection indication arrives when the queue is full, the connection is refused.
  Specified by:
    `setBacklog` in interface `WebServiceMBean`
  Parameters:
    `backlog,` - the queue backlog limit.

### getDownloadServerClasses

    public boolean getDownloadServerClasses()

  A flag indicating if the server should attempt to download classes from thread context class loader when a request arrives that does not have a class loader key prefix.
  Specified by:
    `getDownloadServerClasses` in interface `WebServiceMBean`

### setDownloadServerClasses

    public void setDownloadServerClasses(boolean flag)

  Specified by:
    `setDownloadServerClasses` in interface `WebServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.